com.tibco.tea.agent.api

## Class ObjectId

- java.lang.Object
- - com.tibco.tea.agent.api.ObjectId

- All Implemented Interfaces:
    Serializable

      public class ObjectId
      extends Object
      implements Serializable

  This object handles the Object id formatting The rule is as follows: 1.- When the objectId is presented as a String, then the different parts of the id are separated by : and each of the parts are URL encoded. 2.- When the objectId is split into its parts then this parts will be decoded.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ObjectId` | `ROOT_OBJECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectId(String objectId)` The format of the Object id string should follow the following formatting: "agentName:agentTypeName:agentTypeVersion:objectTypeName:objectKey" Note that every part separated by : MUST be encoded, it is imperative that ONLY the parts separated by : is encoded, not the objectId as a whole, that will make impossible to break it down into its parts again.
    `ObjectId(String agentName, AgentTypeId agentTypeId, String objectTypeName, String objectKey)`
    `ObjectId(String agentName, ObjectTypeId objectTypeId, String objectKey)`
    `ObjectId(String agentName, String agentTypeName, String agentTypeVersion, String objectTypeName, String objectKey)` Note: None of the parameters should be encoded, and must not be encoded when used separated from each other.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `agentName()`
    `String` | `agentTypeName()`
    `String` | `agentTypeVersion()`
    `boolean` | `equals(Object obj)`
    `String` | `getAgentTypeId()`
    `static ObjectId[]` | `getObjectIds(List<String> objectidentifiers)`
    `ObjectTypeId` | `getObjectTypeId()`
    `int` | `hashCode()`
    `String` | `objectKey()`
    `String` | `objectTypeName()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_OBJECT

          public static final ObjectId ROOT_OBJECT

  - ### Constructor Detail

    - #### ObjectId

          public ObjectId(String objectId)

      The format of the Object id string should follow the following formatting: "agentName:agentTypeName:agentTypeVersion:objectTypeName:objectKey" Note that every part separated by : MUST be encoded, it is imperative that ONLY the parts separated by : is encoded, not the objectId as a whole, that will make impossible to break it down into its parts again. If the objectId came from the UI it will be encoded already, so no need to encode it again.
      Parameters:
        `objectId` -

    - #### ObjectId

          public ObjectId(String agentName,
                          String agentTypeName,
                          String agentTypeVersion,
                          String objectTypeName,
                          String objectKey)

      Note: None of the parameters should be encoded, and must not be encoded when used separated from each other. Only will get encoded when joined together in a String
      Parameters:
        `agentName` -
        `agentTypeName` -
        `agentTypeVersion` -
        `objectTypeName` -

    - #### ObjectId

          public ObjectId(String agentName,
                          AgentTypeId agentTypeId,
                          String objectTypeName,
                          String objectKey)

    - #### ObjectId

          public ObjectId(String agentName,
                          ObjectTypeId objectTypeId,
                          String objectKey)

  - ### Method Detail

    - #### getObjectIds

          public static ObjectId[] getObjectIds(List<String> objectidentifiers)

    - #### agentName

          public String agentName()

      Returns:
        the agentName

    - #### agentTypeName

          public String agentTypeName()

      Returns:
        the agentTypeName

    - #### agentTypeVersion

          public String agentTypeVersion()

      Returns:
        the agentTypeVersion

    - #### objectTypeName

          public String objectTypeName()

      Returns:
        the objectTypeName

    - #### objectKey

          public String objectKey()

      Returns:
        the objectKey

    - #### getObjectTypeId

          public ObjectTypeId getObjectTypeId()

    - #### getAgentTypeId

          public String getAgentTypeId()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.